Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1674167 - __libc_free: gnome-control-center killed by SIGSEGV
Summary: __libc_free: gnome-control-center killed by SIGSEGV
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F30FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2019-02-09 14:23 UTC by David Bauer
Modified: 2019-02-27 11:44 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-27 11:44:48 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
core_backtrace (deleted)
2019-02-09 14:24 UTC, David Bauer
no flags Details
cgroup (deleted)
2019-02-09 14:25 UTC, David Bauer
no flags Details
cpuinfo (deleted)
2019-02-09 14:26 UTC, David Bauer
no flags Details
dso_list (deleted)
2019-02-09 14:26 UTC, David Bauer
no flags Details
environ (deleted)
2019-02-09 14:27 UTC, David Bauer
no flags Details
exploitable (deleted)
2019-02-09 14:27 UTC, David Bauer
no flags Details
maps (deleted)
2019-02-09 14:28 UTC, David Bauer
no flags Details
mountinfo (deleted)
2019-02-09 14:28 UTC, David Bauer
no flags Details
open_fds (deleted)
2019-02-09 14:28 UTC, David Bauer
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME/gnome-control-center/issues/372 0 None None None 2019-02-10 21:29:14 UTC

Description David Bauer 2019-02-09 14:23:43 UTC
Description of problem:
Gnome-control-center cannot be open at any time.

Version-Release number of selected component (if applicable):
gnome-control-center-3.31.4-1.fc30


How reproducible:
Always

Steps to Reproduce:
1. Boot the OS
2. Open the gnome-control-center

Actual results:
After a few seconds the Oops notification appears and the gnome-control-center crashes. 


Expected results:
The program should start

Additional info:
Upload over ABRT fails, uReport data is invalid

Comment 1 David Bauer 2019-02-09 14:24:55 UTC
Created attachment 1528472 [details]
core_backtrace

Comment 2 David Bauer 2019-02-09 14:25:53 UTC
Created attachment 1528473 [details]
cgroup

Comment 3 David Bauer 2019-02-09 14:26:19 UTC
Created attachment 1528474 [details]
cpuinfo

Comment 4 David Bauer 2019-02-09 14:26:46 UTC
Created attachment 1528475 [details]
dso_list

Comment 5 David Bauer 2019-02-09 14:27:07 UTC
Created attachment 1528476 [details]
environ

Comment 6 David Bauer 2019-02-09 14:27:41 UTC
Created attachment 1528477 [details]
exploitable

Comment 7 David Bauer 2019-02-09 14:28:13 UTC
Created attachment 1528478 [details]
maps

Comment 8 David Bauer 2019-02-09 14:28:34 UTC
Created attachment 1528479 [details]
mountinfo

Comment 9 David Bauer 2019-02-09 14:28:58 UTC
Created attachment 1528480 [details]
open_fds

Comment 10 Fedora Blocker Bugs Application 2019-02-09 14:46:23 UTC
Proposed as a Blocker for 30-final by Fedora user dbxx using the blocker tracking app because:

 All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test.

Comment 11 Keith Calvelli 2019-02-09 19:13:30 UTC
I opened an issue on GNOME gitlab that I think is related to this:  https://gitlab.gnome.org/GNOME/gnome-control-center/issues/372

Comment 12 František Zatloukal 2019-02-12 14:26:33 UTC
Discussed during the 2019-02-11 blocker review meeting: [1]

The decision to classify this bug as an AcceptedBlocker was made:

"accepted as a violation of "All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test""

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2019-02-11/f30-blocker-review.2019-02-11-17.13.log.txt

Comment 13 Dongsu Park 2019-02-15 12:10:37 UTC
I have seen the exact problem with gnome-control-center-3.31.90-1.fc30.x86_64.
Though I can confirm that the latest commit e44158d8bcec837cd6b526aae531c71199e2f267 of https://gitlab.gnome.org/GNOME/gnome-control-center fixed the issue.


Note You need to log in before you can comment on or make changes to this bug.